GDBserver

Classes | Functions
x86-linux.c File Reference
`#include "common-defs.h"`
`#include "x86-linux.h"`
`#include "x86-linux-dregs.h"`

Go to the source code of this file.

## Classes
struct | arch_lwp_info

## Functions
void | lwp_set_debug_registers_changed (struct lwp_info *lwp, int value)
int | lwp_debug_registers_changed (struct lwp_info *lwp)
void | x86_linux_new_thread (struct lwp_info *lwp)
void | x86_linux_delete_thread (struct arch_lwp_info *arch_lwp)
void | x86_linux_prepare_to_resume (struct lwp_info *lwp)

## Function Documentation

## ◆ lwp_debug_registers_changed()

int lwp_debug_registers_changed | ( | struct lwp_info * | lwp | ) |

Definition at line 47 of file x86-linux.c.

References arch_lwp_info::debug_registers_changed, and lwp_arch_private_info().

Referenced by x86_linux_update_debug_registers().

## ◆ lwp_set_debug_registers_changed()

void lwp_set_debug_registers_changed | ( | struct lwp_info * | lwp,
|  | int | value
| ) |  |

Definition at line 36 of file x86-linux.c.

References arch_lwp_info::debug_registers_changed, lwp_arch_private_info(), lwp_set_arch_private_info(), and XCNEW.

Referenced by update_debug_registers_callback(), x86_linux_new_thread(), and x86_linux_update_debug_registers().

## ◆ x86_linux_delete_thread()

void x86_linux_delete_thread | ( | struct arch_lwp_info * | arch_lwp | ) |

Definition at line 71 of file x86-linux.c.

References xfree().

## ◆ x86_linux_new_thread()

void x86_linux_new_thread | ( | struct lwp_info * | lwp | ) |

Definition at line 63 of file x86-linux.c.

References lwp_set_debug_registers_changed().

## ◆ x86_linux_prepare_to_resume()

void x86_linux_prepare_to_resume | ( | struct lwp_info * | lwp | ) |

Definition at line 79 of file x86-linux.c.

References x86_linux_update_debug_registers().